opcache_get_status
opcache_is_script_cached
OPcache Functions
PHP Manual

# opcache_invalidate

(PHP 5 >= 5.5.0, PECL ZendOpcache >= 7.0.0)

opcache_invalidate — Invalidates a cached script

### Description

boolean opcache_invalidate ( string `$script` [, boolean `$force` = `FALSE` ] )

This function invalidates a particular script from the opcode cache. If `force` is unset or `FALSE`, the script will only be invalidated if the modification time of the script is newer than the cached opcodes.

### Parameters

`script`

  The path to the script being invalidated.

`force`

  If set to `TRUE`, the script will be invalidated regardless of whether invalidation is necessary.

### Return Values

Returns `TRUE` if the opcode cache for `script` was invalidated or if there was nothing to invalidate, or `FALSE` if the opcode cache is disabled.

### See Also

- opcache_compile_file() - Compiles and caches a PHP script without executing it
- opcache_reset() - Resets the contents of the opcode cache

opcache_get_status
opcache_is_script_cached
OPcache Functions
PHP Manual